package com.qmth.themis.business.entity.common;

import com.baomidou.mybatisplus.annotation.TableId;
import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 学生档案公用 entity
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/7
 */
public class Student extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "机构ID")
    @TableId(value = "org_id")
    private Long orgId;

    @ApiModelProperty(value = "证件号")
    @TableId(value = "identity")
    private String identity;

    @ApiModelProperty(value = "登陆密码，密文保存")
    @TableId(value = "password")
    private String password;

    @ApiModelProperty(value = "身份证号")
    @TableId(value = "idcard_number")
    private String idcardNumber;

    @ApiModelProperty(value = "手机号")
    @TableId(value = "mobile_number")
    private String mobileNumber;

    @ApiModelProperty(value = "姓名")
    @TableId(value = "name")
    private String name;

    @ApiModelProperty(value = "性别")
    @TableId(value = "gender")
    private Integer gender;

    @ApiModelProperty(value = "底照保存地址")
    @TableId(value = "base_photo_path")
    private String basePhotoPath;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    @TableId(value = "enable")
    private Integer enable;

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getIdcardNumber() {
        return idcardNumber;
    }

    public void setIdcardNumber(String idcardNumber) {
        this.idcardNumber = idcardNumber;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getBasePhotoPath() {
        return basePhotoPath;
    }

    public void setBasePhotoPath(String basePhotoPath) {
        this.basePhotoPath = basePhotoPath;
    }
}
